
TYPO3.Flow - Feature # 87

Status: Resolved Priority: Should have
Author: Robert Lemke Category: MVC
Created: 2008-01-14 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Add fallback for servers without mod_rewrite / .htaccess support
Description

Add fallback for servers without mod_rewrite / .htaccess support

Related issues:
related to TYPO3.Flow - Feature # 1235: Check if mod_rewrite is enabled Closed 2008-08-06
related to TYPO3.Flow - Bug # 2751: Routing: generated links must keep index.... Resolved 2009-03-03

Associated revisions
Revision 8d84796d - 2009-09-28 21:46 - Karsten Dambekalns

[+FEATURE] FLOW3 (MVC): If mod_rewrite is not available generated links will include index.php, resolves #87.
[~TASK] FLOW3 (MVC): Fixed filename of UriBuilderTest.
[~TASK] Welcome: made sure the link to MyPackage works if mod_rewrite is disabled.

Revision 72e44295 - 2009-09-28 21:46 - Karsten Dambekalns

[+FEATURE] FLOW3 (MVC): If mod_rewrite is not available generated links will include index.php, resolves #87.
[~TASK] FLOW3 (MVC): Fixed filename of UriBuilderTest.
[~TASK] Welcome: made sure the link to MyPackage works if mod_rewrite is disabled.

History
#1 - 2008-01-28 15:56 - Robert Lemke
- Target version changed from 1 to 18

#2 - 2008-04-02 12:04 - Robert Lemke
- Status changed from New to Accepted
- Assigned To changed from Robert Lemke to Karsten Dambekalns
- % Done changed from 0 to 50

Half of this is resolved by revision r654 (introduced the public/index.php and index.php).

#3 - 2008-04-02 12:04 - Robert Lemke
- Assigned To deleted (Karsten Dambekalns)

#4 - 2008-07-01 15:32 - Robert Lemke
- Target version deleted (18)
#5 - 2009-05-19 12:34 - Robert Lemke
- Target version set to 283

#6 - 2009-06-02 16:09 - Karsten Dambekalns

Now that routing works even without routes (it does, right?) this should be a lot easier...

#7 - 2009-06-04 10:56 - Bastian Waidelich

Karsten Dambekalns wrote:

Now that routing works even without routes (it does, right?)

uhm.. no. Do you mean

http://localhost?@package=MyPackage&@controller=MyController&@action=myAction

?
This works, but it still requires an (empty) route. But I think it would be better to have:

http://localhost/index.php/MyPackage/MyController/myAction

If I'm right, we would "just" need to use "http://localhost/index.php/" instead of "http://localhost/" as Base URI if mod_rewrite wasn't available.

#8 - 2009-07-13 11:24 - Robert Lemke
- Target version deleted (283)

#9 - 2009-09-28 15:32 - Karsten Dambekalns
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 5

#10 - 2009-09-28 20:29 - Karsten Dambekalns

Bastian Waidelich wrote:

If I'm right, we would "just" need to use "http://localhost/index.php/" instead of "http://localhost/" as Base URI if mod_rewrite wasn't available.

Almost - only for links, as otherwise paths to static resources would be wrong...

#11 - 2009-09-28 22:01 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 50 to 100

Applied in changeset r3234.

2015-08-03 2/3



2015-08-03 3/3


